OpenVZ - Virtual Private Server

patch-ovz028stab047.1 fails to build

Building a 2.6.18 kernel with patch-ovz028stab047.1 fails in Stage 2 with an error related to grsecurity.

Solution

Make the following 1-line patch to grsecurity/grsec_disabled.c, configure the kernel to disable grsecurity and build the kernel again.

— ./grsecurity/grsec_disabled.c.ve9999 2007-10-29 20:51:17.000000000 +0300
+++ ./grsecurity/grsec_disabled.c 2007-11-02 15:20:00.000000000 +0300
@@ -1,5 +1,6 @@
#include <linux/kernel.h>
#include <linux/sched.h>
+#include <linux/module.h>

void
gr_copy_label(struct task_struct *tsk)

I believe this problem is solved in the 049 version of the patch.